:root {
  --maroon: #624040;
  --buganvilla: #b76a94;
  --lilac: #bba1b1;
  --cream: #f4f0eb;
  --turquoise: #3a6c83;
  --olive: #a1954a;
  --white: #ffffff;
  --traslucent-pink: hsla(326, 48%, 84%, 0.4);
  --traslucent-olive: hsla(110, 40%, 84%, 0.4);
  --traslucent-lilac: hsla(273, 40%, 84%, 0.4);
  --traslucent-turquoise: hsla(201, 40%, 84%, 0.4);
  --traslucent-gold: hsla(48, 40%, 84%, 0.4);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


/* === General styles === */

body {
  width: 100%;
  overflow-x: hidden;
  background-color: var(--cream);
  color: var(--maroon);
  font-size: 14px;
  font-family: "Noto Serif", serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}

h1 {
  font-size: 100px;
  font-family: "Miss Fajardose", cursive;
  font-weight: 400;
  font-style: normal;
  line-height: 60%;
  margin: 32px 0 12px 0;
}

h2 {
  font-size: 24px;
  font-family: "Noto Serif", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  margin-top: 40px;
}

h3 {
  font-size: 24px;
  font-family: "Noto Serif", serif;
  font-weight: 300;
  font-style: italic;
  line-height: 100%;
}

h4 {
  font-size: 20px;
  font-family: "Noto Serif", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  margin-top: 20px;
}

h5 {
  font-size: 14px;
}

@media (max-width: 600px) {
  h1 {
    font-size: 80px;
  }
}

b {
  font-weight: 700;
}

a {
  color: inherit;
  text-decoration: underline;
  text-underline-offset: 3px;
  transition: 0.2s ease;
}

a:visited,
a:active {
  color: inherit;
}

a:hover {
  color: var(--buganvilla);
  text-underline-offset: 5px;
}

.bold {
  font-weight: 700;
}

.button,
button {
  display: inline-block;
  background-color: var(--buganvilla);
  border: none;
  color: var(--white);
  padding: 20px;
  font-family: "Noto Serif", serif;
  font-weight: 700;
  transition: 0.2s ease;
  cursor: pointer;
}

button:hover {
  background-color: var(--maroon);
}

address {
  padding: 20px;
  margin: 0;
  border-radius: 4px;
  background-color: var(--traslucent-pink);
  border: 1px dashed var(--buganvilla);
  font-style: normal;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

blockquote {
  padding: 28px 20px;
  margin: 0;
  border-radius: 4px;
  color: var(--cream);
  background-color: var(--buganvilla);
  text-align: center;
  text-wrap: balance;
}

blockquote h3 {
  margin-bottom: 20px;
}

ul {
  list-style-type: none;
}

ol {
  list-style-position: inside;
}

.spacer {
  max-width: 200px;
  max-height: 50px;
  margin: 0 auto;
}

/* === General styles: Layout === */

.page {
  min-height: 100vh;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  gap: 20px;
  background-size: auto;
  background-position: center;
  background-attachment: fixed;
  background-repeat: repeat;
}

.toolbar {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  padding: 40px 12px;
  border-radius: 4px;
  background-color: #fcfaf8;
  position: sticky;
  top: 20px;
  left: 20px;
  filter: drop-shadow(2px 3px 4px rgba(65, 41, 41, 0.2));
  z-index: 200;
}

.toolbar .logo {
  width: 84px;
}

nav.menu {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.menu__link {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  text-align: center;
  font-size: 9px;
  text-decoration: none;
}

.menu__link.menu__link--active {
 text-decoration: underline; 
}

.menu__link:hover {
  color: var(--maroon);
  text-decoration: underline;
}

.menu__icon {
  width: 60px;
  height: 60px;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.menu__link--perfil .menu__icon {
  background-color: var(--buganvilla);
}

.menu__link--convocatorias .menu__icon {
  background-color: var(--turquoise);
}

.menu__link--galeria .menu__icon {
  background-color: var(--maroon);
}

.menu__link--guia .menu__icon {
  background-color: var(--olive);
}

.menu__link--telegram .menu__icon {
  background-color: var(--turquoise);
}

.menu__icon svg {
  fill: var(--cream);
  transition: 0.4s;
}

.menu__link:hover svg {
  transform: rotate(4deg);
}

.content {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  padding: 20px;
}

.content__header {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
}

.card::before {
  content: "";
  width: 100%;
  height: 20px;
  position: absolute;
  top: -20px;
  left: 0;
  background-image: url(../../assets/img/background-paper-trim.png);
  background-size: auto 100%;
  background-position: center;
}

.card {
  position: relative;
  width: 100%;
  max-width: 900px;
  display: flex;
  flex-direction: column;
  padding: 40px;
  margin-top: 20px;
  gap: 20px;
  border-radius: 0 0 4px 4px;
  background-color: var(--white);
  background-image: url(../../assets/img/background-paper.jpg);
  background-size: 500px auto;
  background-repeat: repeat;
  /* overflow: hidden; */
  filter: drop-shadow(2px 4px 2px rgba(65, 41, 41, 0.2));
}

.card__section {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.card__section.section--hidden {
  display: none;
}

.card__section__block {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 20px;
}

.card__section__columns {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 40px;
}

.card__section__column {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.card--header {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
}

.card--footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

nav.tabs {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 4px;
}

.tabs button {
  width: 100%;
  background-color: var(--cream);
  border-radius: 4px;
  padding: 12px 4px;
  font-weight: 300;
  color: var(--maroon);
  border: 1px solid var(--cream);
}

.tabs button.active {
  color: var(--white);
  background-color: var(--buganvilla);
  border: 1px solid var(--cream);
}
.tabs button[data-tab="past"].active {
  background-color: var(--olive);
}
.tabs button[data-tab="present"].active {
  background-color: var(--buganvilla);
}
.tabs button[data-tab="future"].active {
  background-color: var(--turquoise);
}

.tabs button[data-tab="past"]:hover {
  border: 1px solid var(--olive);
}
.tabs button[data-tab="present"]:hover {
  border: 1px solid var(--buganvilla);
}
.tabs button[data-tab="future"]:hover {
  border: 1px solid var(--turquoise);
}

.tabs-content section {
  display: none;
  flex-direction: column;
  gap: 20px;
}

.tabs-content section.active {
  display: flex;
}

@media (max-width: 700px), (max-height: 700px) {
  .toolbar {
    position: fixed;
    width: auto;
    height: 60px;
    top: unset;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    flex-direction: row;
    gap: 20px;
    padding: 20px 20px;
    border-radius: 4px 4px 0 0;
    filter: drop-shadow(2px -3px 4px rgba(65, 41, 41, 0.2));
  }

  nav.menu {
    flex-direction: row;
    gap: 8px;
  }

  .menu__icon {
    width: 36px;
    height: 36px;
  }

  .menu__icon svg {
    height: 20px;
  }

  .menu__link {
    font-size: 7px;
    gap: 2px;
  }
}

@media (max-width: 700px) {
  .content {
    padding: 20px 20px 80px 20px;
  }

  .card {
    padding: 20px;
  }

  .card__section__columns {
    flex-wrap: wrap;
    gap: 20px;
  }
}

@media (max-width: 360px) {
  .toolbar a:has(.logo) {
    display: none;
  }
}

/* === General styles: Decor === */

.decor {
  position: absolute;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.decor--corner-top {
  background-image: url(../../assets/img/decor-corner-1.png);
}

.decor--side.side--1 {
  background-image: url(../../assets/img/decor-side-1.png);
}

.decor--side.side--2 {
  background-image: url(../../assets/img/decor-side-2.png);
}

.decor--stamp.stamp--1 {
  background-image: url(../../assets/img/decor-stamp-1.png);
  filter: drop-shadow(1px 1px 0px rgba(0, 0, 0, 0.1));
  transform: rotate(0deg);
  transition: 0.4s;
}

.decor--stamp.stamp--1:hover {
  transform: rotate(4deg);
}

.decor--stamp.stamp--2 {
  background-image: url(../../assets/img/decor-stamp-2.png);
  filter: drop-shadow(1px 1px 0px rgba(0, 0, 0, 0.1));
  transform: rotate(6deg);
  transition: 0.4s;
}

.decor--stamp.stamp--2:hover {
  transform: rotate(10deg);
}

.decor--corner-bottom {
  background-image: url(../../assets/img/decor-corner-2.png);
}

.decor--ink {
  background-image: url(../../assets/img/decor-ink.png);
  filter: drop-shadow(1px 3px 2px rgba(65, 41, 41, 0.8))
    drop-shadow(10px 10px 10px rgba(98, 64, 64, 0.5));
}

.decor--postcard {
  background-image: url(../../assets/img/postcard-front.jpg);
  border: 4px solid var(--white);
  border-radius: 4px;
  filter: drop-shadow(1px 3px 2px rgba(65, 41, 41, 0.8));
}

.decor--pen {
  background-image: url(../../assets/img/decor-pen.png);
  filter: drop-shadow(1px 3px 2px rgba(65, 41, 41, 0.8))
    drop-shadow(6px 5px 6px rgba(98, 64, 64, 0.8));
  transform-origin: -10% 100%;
  transform: rotate(16deg);
  transition: 0.4s;
}

.decor--pen:hover {
  transform: rotate(18deg);
}

/* === General styles: Forms === */

form {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 20px;
}

.form__input {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 12px;
  border-bottom: 1px solid var(--maroon);
}

.form__input label {
  white-space: nowrap;
}

.form__input input {
  background-color: transparent;
  border-radius: 0px;
  width: 100%;
  color: var(--maroon);
  font-family: inherit;
  font-optical-sizing: inherit;
  font-weight: 700;
  font-style: inherit;
  outline: none;
  border: none;
  box-shadow: none !important;
  -webkit-appearance: none;
}

.form__input input::placeholder {
  font-weight: 300;
  font-style: italic;
  color: var(--lilac);
}

.form__input input[readonly] {
  color: var(--lilac);
  cursor: not-allowed;
}

input:focus,
input:autofill {
  background: transparent !important;
  border: none !important;
  outline: none !important;
}

.form__input--image {
  width: 100%;
  height: 300px;
  padding: 20px;
  margin: 0;
  border-radius: 4px;
  background-color: var(--traslucent-pink);
  border: 1px dashed var(--buganvilla);
  font-style: normal;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 4px;
}

.form__input--image img {
  object-fit: contain;
  height: 100%;
  max-height: 60vh;
}

.form__input--image img.input--image__icon {
  height: auto;
}
    
.page__feedback,
.form__feedback {
  color: var(--buganvilla);
}

.radio-boxes {
  width: 100%;
  display: flex;
  flex-direction: row;
  gap: 40px;
  border: none;
  padding: 0;
}

.radio-boxes legend {
  margin-bottom: 8px;
}

.radio-box {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s;
  user-select: none;
  gap: 12px;
}

.radio-box input[type="radio"] {
  display: none;
}

.radio-box .custom-box {
  width: 40px;
  height: 40px;
  border: 1px solid var(--maroon);
}

.radio-box .custom-box::after {
  content: "";
  width: 40px;
  height: 40px;
  position: absolute;
  bottom: 4px;
  left: 4px;
  background-image: url(../../assets/img/radio-check.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  opacity: 0;
}

.radio-box input[type="radio"]:checked + .custom-box::after {
  opacity: 1;
}

.status--checkbox input[type="checkbox"] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.status--checkbox .custom-box {
  width: 20px;
  height: 20px;
  position: relative;
  border: 1px solid var(--maroon);
}

.status--checkbox .custom-box::after {
  content: "";
  width: 20px;
  height: 20px;
  position: absolute;
  bottom: 2px;
  left: 2px;
  background-image: url(../../assets/img/radio-check.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  opacity: 0;
}

.status--checkbox input[type="checkbox"]:checked + .custom-box::after {
  opacity: 1;
}


/* === Popups === */

#aviso {
  border-radius: 12px;
  border: 1px solid var(--maroon);
  background-color: var(--white);
  position: fixed;
  top: 4px;
  right: 4px;
  width: calc(100% - 8px);
  max-width: 500px;
  padding: 20px 24px;
}

#aviso h3 {
  font-size: 18px;
  margin-bottom: 8px;
}


/* === Helping classes === */

.hidden {
  display: none;
}
